Loading...
Searching...
No Matches
Allocator.h File Reference
`#include <casacore/casa/config.h>`
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Utilities/DataType.h>`
`#include <casacore/casa/Arrays/ArrayFwd.h>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <memory>`
`#include <new>`
`#include <typeinfo>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | casacore::ArrayInitPolicy
| More...
struct | casacore::ArrayInitPolicies
struct | casacore::casacore_allocator< T, ALIGNMENT >
struct | casacore::casacore_allocator< T, ALIGNMENT >::rebind< TOther >
struct | casacore::new_del_allocator< T >
struct | casacore::new_del_allocator< T >::rebind< TOther >
class | casacore::Allocator_private
struct | casacore::Allocator_private::BulkAllocator< T2 >
struct | casacore::Allocator_private::BulkAllocatorImpl< Allocator >
struct | casacore::Allocator_private::AllocSpec< T >
| Allocator specifier. More...
class | casacore::AbstractAllocator< T >
class | casacore::BaseAllocator< T, Sub >
class | casacore::NewDelAllocator< T >
| An allocator behaves like operator new[]/delete[]. More...
class | casacore::AlignedAllocator< T, ALIGNMENT >
| An allocator which allocates aligned memory. More...
class | casacore::DefaultAllocator< T >
| An aligned allocator with the default alignment. More...
struct | casacore::AllocSpec< T >
| Allocator specifier. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | CASA_DEFAULT_ALIGNMENT

## Typedefs

template<typename T>
using | casacore::std11_allocator

## Functions

template<typename T, size_t ALIGNMENT>
bool | casacore::operator== (const casacore_allocator< T, ALIGNMENT > &, const casacore_allocator< T, ALIGNMENT > &)
template<typename T, size_t ALIGNMENT>
bool | casacore::operator!= (const casacore_allocator< T, ALIGNMENT > &, const casacore_allocator< T, ALIGNMENT > &)
template<typename T>
bool | casacore::operator== (const new_del_allocator< T > &, const new_del_allocator< T > &)
template<typename T>
bool | casacore::operator!= (const new_del_allocator< T > &, const new_del_allocator< T > &)

## Variables

template<typename T>
NewDelAllocator< T > | casacore::NewDelAllocator< T >::value
template<typename T, size_t ALIGNMENT>
AlignedAllocator< T, ALIGNMENT > | casacore::AlignedAllocator< T, ALIGNMENT >::value
template<typename T>
DefaultAllocator< T > | casacore::DefaultAllocator< T >::value
template<typename T>
AllocSpec< T > const | casacore::AllocSpec< T >::value

## Macro Definition Documentation

## CASA_DEFAULT_ALIGNMENT

#define CASA_DEFAULT_ALIGNMENT

Definition at line 45 of file Allocator.h.